UPNP Media Renderer Plugin

    This site uses cookies. By continuing to browse this site, you are agreeing to our Cookie Policy.

    • Ich bleib nicht stehen, ich hab noch nie bedarf dafür gehabt,
      entschuldige bitte, dass ich versucht habe, zu helfen. Kommt bestimmt nicht wieder bei dir vor!
      ACHTUNG!!!! Hier folgt eine Signatur:


      Die Benutzung der Suche ist NICHT verboten! D:

      "Hilfe!!!" ist kein sinnvoller Titel für einen neuen Thread, ebensowenig "VU+Zero" oder vergleichbares.

      Keine Hilfe ohne ausgefülltes Profil!
    • ..verstehe auch nicht warum man das jetzt persönlich nehmen muss... aber bisher hab ich DEINE hilfe auch nicht genossen, daher denke komm ich damit klar
      ..Wissen ist Macht, nichts wissen macht auch nichts :whistling: :thumbup:
      .. assdigger & sugar blower :crazy1:
    • freundlich gemeinte Hinweise, wer sich auch damit wieder angegriffen fühlt möge es bitte überlesen oder reagieren wie er mag

      @Torbin bemüht sich, hier den Wunsch zu erfüllen und zu helfen
      bietet Lösungen an und macht sich Mühe

      selbst er bekommt auf einfache und ernstgemeinte Nachfrage
      'Kannst du da mal Beispiele nennen ? Habe keine Rückmeldung gesehen'

      keine anständige Antwort, möglicherweise weil es die nicht geben kann

      ansonsten lese ich massiv angriffslustige oder sich angegriffen fühlende User - das bringt doch niemanden 'weiter'
      (und motiviert bestimmt auch kaum, sich noch mehr darum zu kümmern)
      ============================================================================================
      10 Goldene Regeln für Hilfesuchende
    • Ich habe es mit der Anleitung von Torbin versucht. Aber irgendein Paket war zu alt und mit der aktualisierten Version klappte die Anleitung nicht mehr.
      Schlussendlich konnte ich Cocy mit der neusten Version installieren. Jedoch das Abspielen hat trotzdem nicht geklappt. Da sich die Box mit Cocy ohne LAN nicht mehr startet, habe ich es wieder entfernt.
      Würde es gerne nutzen und bin auch bereit weitere Tests durchzuführen.
    • Aber irgendein Paket war zu alt und mit der aktualisierten Version klappte die Anleitung nicht mehr.
      sowas ist eher nicht geeignet, Ursachen zu finden
      wichtig wäre doch, welches Paket war zu alt
      WAS klappt nach der Anleitung nicht

      bei @Torbin klappt es - wie soll er wissen was los ist, wenn ihm keiner mitteilt was denn nun genau wann und wo auftritt
      er kann es weder erraten noch nachstellen

      ist doch in eurem Interesse wenn ihr Infos zur Verfügung stellt, mit denen man dann arbeiten kann
      ============================================================================================
      10 Goldene Regeln für Hilfesuchende
    • Ich habe es damals geschrieben, welches Paket nicht zu installieren war und habe dann die Tipps befolgt.
      Ich werde gerne sobald ich Zeit habe die Installation nochmals versuchen und die Resultate oder Fehlermeldungen posten.
    • @bartboy Ich habe eine Solo2 mit aktuellem VTI. Auf dieser funktioniert es jetzt nach vielen Versuchen. Übrigens erst nach den Tips von Torbin. Zwischenzeitlich mußte aber noch ein anderes Paket aktualisiert werden. Es wurde vorher allerdings über Telnet eine Fehlermeldung mit Anleitung zur Fehlerbehebung ausgegeben. Nun funktioniert es, ist aber etwas hakelig.
      Zu den 4K-Boxen kann ich nichts sagen.

      The post was edited 1 time, last by Astex ().

    • die Anleitung von Torbin ist doch für 4k boxen...??!! und du hast ne solo2... jetzt versteh ich garnix mehr. mir ist es mittlerweile hier auch richtig vergangen mit dem scheiß Plugin !!! dann kanns halt die vti nicht und fertig. hab echt was besseres zu tun als hier um hilfe zu betteln und meine zeit sinnlos zu vergeuden wenn nirgends etwas gescheites dazu kommt. Jeder hier hat etwas dazu beigetragen, auch viel Müll und OT, an alle andere kämpfer RESPEKT. Vielleicht gewöhne ich mich langsam echt mal an das open atv und gut ist's oooder wie schon geschrieben, bekommen es sogar Erzfeinde hin, gemeinsam zu arbeiten... jaaa SAMSUNG TVs bekommen update auf apple airplay2.

      und somit ist dieser thread - bis es heißt hier ipk one in all für alle vti iamge und vu boxen - gestorben.
      ..Wissen ist Macht, nichts wissen macht auch nichts :whistling: :thumbup:
      .. assdigger & sugar blower :crazy1:
    • Ich habe nun meine Box (Vu+ Duo2) ganz neu aufgesetzt mit VTi 14.0.1 und wollte CoCy nach folgender Anleitung installieren:

      Display Spoiler

      1. Als erstes eine Sicherung des System mit dem VTI-Backuptool erstellen.


      2. Dann z.B. per PuTTY (am besten auch immer ein Logfile ablegen lassen) mit der Box verbinden und mittels [opkg list | grep python] erstmal prüfen ob mindestens alle nachfolgenden Pakete vorhanden sind:
      python-db
      python-subprocess
      python-xmlrpc
      python-json
      python-email
      python-image
      python-audio
      python-multiprocessing
      python-compile
      python-compression
      python-distutils
      python-sqlite3
      python-zlib
      python-mutagen
      python-unittest
      python-pkgutil
      python-dev


      Ansonsten jeweils per [opkg install] über den Feed installieren (z.B. [opkg install python-pkgutil]).
      Evtl. ist z.B. python-dev nicht auf dem Feed vorhanden, dann die im Zip beiliegende python-dev_2.7.2-r8.17_mips32el.ipk nach /tmp auf die Box kopieren und installieren per: [opkg install /tmp/python-dev_2.7.2-r8.17_mips32el.ipk]


      2A. Neustart sofern etwas Nachinstalliert werden musste [reboot]


      3. Nun die get-pip.py nach /tmp kopieren und installieren per: [python /tmp/get-pip.py] (Bitte etwas Geduld und auf evtl. Fehlermeldungen achten... da läuft einiges durch)


      3A. Neustart der Box [reboot]


      4. Die enigma2-plugin-extensions-cocy_0.4.1.ipk aus dem Zip-Archiv nach /tmp kopieren und installieren per: [cd /tmp] & [opkg install --nodeps enigma2-plugin-extension] (Wieder ein klein Wenig Geduld haben und evtl. Fehler beachten)


      4A. Neustart [reboot]


      5. Nun sollte unter var/log eine cocy.log liegen, womit es dann auch endlich laufen sollte.


      Beim Schritt 2 hat mit python-dev gefehlt. Ich habe die ipk-Datei in dem tmp-Ordner kopiert und dann mit opkg install /tmp/pyhon-dev_2.7.2-r8.17.mips32el.ipk versucht zu installieren.
      Dort erhalte ich folgende Fehlermeldung:

      Display Spoiler

      root@vuduo2:/tmp# opkg install /tmp/python-dev_2.7.2-r8.17_mips32el.ipk
      Installing python-dev (2.7.2-r8.17) on root.
      python-dev: unsatisfied recommendation for python-audio-dev
      python-dev: unsatisfied recommendation for python-mime-dev
      python-dev: unsatisfied recommendation for openssl-dev
      python-dev: unsatisfied recommendation for python-io-dev
      python-dev: unsatisfied recommendation for ncurses-libtinfo-dev
      python-dev: unsatisfied recommendation for python-resource-dev
      python-dev: unsatisfied recommendation for python-zlib-dev
      python-dev: unsatisfied recommendation for python-curses-dev
      python-dev: unsatisfied recommendation for python-lang-dev
      python-dev: unsatisfied recommendation for python-multiprocessing-dev
      python-dev: unsatisfied recommendation for python-pkgutil-dev
      python-dev: unsatisfied recommendation for python-subprocess-dev
      python-dev: unsatisfied recommendation for db-dev
      python-dev: unsatisfied recommendation for python-json-dev
      python-dev: unsatisfied recommendation for python-gdbm-dev
      python-dev: unsatisfied recommendation for python-compile-dev
      python-dev: unsatisfied recommendation for bzip2-dev
      python-dev: unsatisfied recommendation for python-sqlite3-dev
      python-dev: unsatisfied recommendation for python-logging-dev
      python-dev: unsatisfied recommendation for python-math-dev
      python-dev: unsatisfied recommendation for python-pickle-dev
      python-dev: unsatisfied recommendation for python-email-dev
      python-dev: unsatisfied recommendation for libgdbm-dev
      python-dev: unsatisfied recommendation for python-pydoc-dev
      python-dev: unsatisfied recommendation for python-pprint-dev
      python-dev: unsatisfied recommendation for libz-dev
      python-dev: unsatisfied recommendation for python-codecs-dev
      python-dev: unsatisfied recommendation for libreadline-dev
      python-dev: unsatisfied recommendation for python-fcntl-dev
      python-dev: unsatisfied recommendation for python-debugger-dev
      python-dev: unsatisfied recommendation for python-xmlrpc-dev
      python-dev: unsatisfied recommendation for libbz2-dev
      python-dev: unsatisfied recommendation for sqlite3-dev
      python-dev: unsatisfied recommendation for python-distutils-dev
      python-dev: unsatisfied recommendation for python-unittest-dev
      python-dev: unsatisfied recommendation for ncurses-libncursesw-dev
      python-dev: unsatisfied recommendation for python-difflib-dev
      python-dev: unsatisfied recommendation for python-crypt-dev
      python-dev: unsatisfied recommendation for python-numbers-dev
      python-dev: unsatisfied recommendation for python-idle-dev
      python-dev: unsatisfied recommendation for python-db-dev
      python-dev: unsatisfied recommendation for python-unixadmin-dev
      python-dev: unsatisfied recommendation for libssl-dev
      python-dev: unsatisfied recommendation for python-syslog-dev
      python-dev: unsatisfied recommendation for python-tests-dev
      python-dev: unsatisfied recommendation for libcrypto-dev
      python-dev: unsatisfied recommendation for python-datetime-dev
      python-dev: unsatisfied recommendation for libc6-dev
      python-dev: unsatisfied recommendation for python-profile-dev
      python-dev: unsatisfied recommendation for python-compression-dev
      python-dev: unsatisfied recommendation for libsqlite3-dev
      python-dev: unsatisfied recommendation for python-xml-dev
      python-dev: unsatisfied recommendation for python-textutils-dev
      python-dev: unsatisfied recommendation for python-readline-dev
      python-dev: unsatisfied recommendation for python-mailbox-dev
      python-dev: unsatisfied recommendation for python-threading-dev
      python-dev: unsatisfied recommendation for python-hotshot-dev
      python-dev: unsatisfied recommendation for python-html-dev
      python-dev: unsatisfied recommendation for python-tkinter-dev
      python-dev: unsatisfied recommendation for python-mmap-dev
      python-dev: unsatisfied recommendation for python-bsddb-dev
      python-dev: unsatisfied recommendation for python-netclient-dev
      python-dev: unsatisfied recommendation for python-image-dev
      python-dev: unsatisfied recommendation for python-elementtree-dev
      python-dev: unsatisfied recommendation for python-doctest-dev
      python-dev: unsatisfied recommendation for python-shell-dev
      python-dev: unsatisfied recommendation for python-terminal-dev
      python-dev: unsatisfied recommendation for libpython2-dev
      python-dev: unsatisfied recommendation for python-sqlite3-tests-dev
      python-dev: unsatisfied recommendation for python-compiler-dev
      python-dev: unsatisfied recommendation for python-2to3-dev
      python-dev: unsatisfied recommendation for python-smtpd-dev
      python-dev: unsatisfied recommendation for python-robotparser-dev
      python-dev: unsatisfied recommendation for ncurses-libpanelw-dev
      python-dev: unsatisfied recommendation for python-stringold-dev
      python-dev: unsatisfied recommendation for python-re-dev
      python-dev: unsatisfied recommendation for python-netserver-dev
      python-dev: unsatisfied recommendation for python-ctypes-dev
      python-dev: unsatisfied recommendation for python-core-dev
      Configuring python-dev.
      root@vuduo2:/tmp#


      Leider habe ich durch die vielen vergangen Tests die Übersicht hier total verloren.

      Kann mir jemand weiterhelfen, was ich falsch gemacht habe oder eine Anweisung geben, wie ich am besten vorgehen soll?
      Ich habe natürlich ein Backup gemacht und kann nochmals von vorne testen.
    • Habe ich versucht, dann kam die Meldung, dass python-pkgutil fehlt. Diese ist aber vorhanden.
      Habe jetzt wieder die Sicherung zurückgespielt. Wie soll ich jetzt am besten vorgehen?
    • Ich habe mich am Wochenende nochmals intensiv mit CoCy beschäftigt und dank einiegen Beiträgen aus diesem Thread zum Laufen geracht. Installieren lässt sich sowohl die Version 0.4.1 sowie die Version 0.2.1.
      Da ich nicht mehr alle Quellen kenne, bedanke ich mich bei allen Beteiligten.

      In der angehängten ZIP-Datei sind alle benötigten Dateien für die Installation inklusive Anleitung. Getestet habe ich es mit meiner mipsel-Box (vu+duo2), es sollte aber auch mit ARM funktionieren.

      Für alle die es installieren wollen sind hier noch sehr wichtige Infos:


      CoCy_0.2.1
      - Lässt sich installieren
      - Spielt Stücke ab
      - Zeitanzeige in BubbleUpnp und DSAudio hängt bei 0-1 Sekunde, Stück wird aber abgespielt
      - Reaktionszeit zwischen Stückauswahl und Apspielen ist sehr langsam (Bis zu 30 Sekunden)
      - Beendet sich nicht sauber (Bild bleibt stehen und Sender muss umgeschaltete werden)
      - Bleibt bei mir immer mal wieder hängen und spielt das zuletzt ausgewählte Stück ab (vermutlich weil nicht sauber beendet)

      CoCy_0.4.1
      - Lässt sich installieren
      - Renderer steht zur Auswahl und Bild auf Box wird schwarz
      - Zeitanzeige in BubbleUpnp und DSAudio hängt bei 0-1 Sekunde und es wird nichts abgespielt

      Eventuell lassen sich diese Funktionsfehler noch irgendwie beheben. Ich werde auch noch den Hersteller des Plugins kontaktieren.
      Files
    • Nach Rückmeldungen vom Hersteller des Plugins und diversen Tests habe ich nun bemerkt, dass CoCy 0.2.1 mit meiner Anleitung mit der App Fritz!App Media ziemlich gut funktioniert.
      Die fortlaufende Zeit wird angezeigt und es hängt sich auch nur selten auf.
      Aber alle Stücke von Interpreten mit einem &-Zeichen im Namen oder Titel können nicht abgespielt werden.
    • UPNP Media Renderer Plugin

      Er schaut sich meine beiden Installationsanleitungen noch an und überprüft, ob er wesentliche Unterschiede findet. Da CoCy aber in Systemdateien greift, und er kein VTI im Einsatz hat, sei ein Debuggen nicht möglich.

      Gesendet von meinem SM-G950F mit Tapatalk
    • Display Spoiler
      python /tmp/get-pip.py
      Traceback (most recent call last):
      File "/tmp/get-pip.py", line 21492, in <module>
      main()
      File "/tmp/get-pip.py", line 197, in main
      bootstrap(tmpdir=tmpdir)
      File "/tmp/get-pip.py", line 82, in bootstrap
      import pip._internal
      File "/tmp/tmpdJHicm/pip.zip/pip/_internal/__init__.py", line 40, in <module>


      File "/tmp/tmpdJHicm/pip.zip/pip/_internal/cli/autocompletion.py", line 8, in <module>
      File "/tmp/tmpdJHicm/pip.zip/pip/_internal/cli/main_parser.py", line 12, in <module>
      File "/tmp/tmpdJHicm/pip.zip/pip/_internal/commands/__init__.py", line 6, in <module>
      #
      File "/tmp/tmpdJHicm/pip.zip/pip/_internal/commands/completion.py", line 6, in <module>
      File "/tmp/tmpdJHicm/pip.zip/pip/_internal/cli/base_command.py", line 20, in <module>
      File "/tmp/tmpdJHicm/pip.zip/pip/_internal/download.py", line 5, in <module>
      ImportError: No module named getpass

      Habe noch keine Lösung ergoogelt und bitte um Tipp!

      The post was edited 1 time, last by hgdo ().

    • Heute kommt ein anderer Fehler beim Aufruf von get-pip:
      File "/usr/lib/python2.7/subprocess.py", line 573, in check_output
      raise CalledProcessError(retcode, cmd, output=output)
      subprocess.CalledProcessError: Command '('lsb_release', '-a')' returned non-zero exit status 3


      Eine andere Lösung wäre ja Kodi zu nutzen und dort DNLA freizugeben. Mit Bildern klappt das mit aktuellem VTI 14 auch gut, aber bei Videos klemmts gewaltig. Mit Allconnect, Bubble UPNP und Nero als Zuspieler probiert. Lösung: zwischen den Videos auf Stop und dann auf Exit drücken, dann spielt es das nächste. Ist nicht praktikabel.

      Ich kann es nicht fassen, dass da noch keiner eine Erweiterung erstellt hat. Bin das noch von früher gewohnt auf der Dreambox, als die dort auch nur eine Beta anboten. Aber welches Jahr haben wir jetzt und mit jeder neuen VTI Version scheint es zu haken. UND was ich gelesen hab cocy bedingt den crash, falls kein Netzwerkkabel eingesteckt wurde.
      Gefrickel ohne Ende.

      Lasst ihr das auf euch sitzen VTI Team?

      Welche Voraussetzungen braucht man um da eine ordentliche Erweiterung zu bauen? Ich kann coden und würde mir das gerne einmal anschauen. Das kann doch kein Hexenwerk sein.
      Linux Kenntnisse aber nur an der Oberfläche. Webserver kann ich z.Bsp. einrichten. Ein Paket für einen bestimmten Paketmanager habe ich jedoch noch nie erstellt.
    • also xbmc will z.B. ich nicht nutzen und nuuur wg DLNA möchte ich es auch nicht auf die box. ist wohl iwie ein heikles Thema das sich das VTI Team nicht annehmen will - man kann die natürlich auch nicht dazu zwingen und zu deren Glück! machen die ja auch noch andere tolle Sachen :thumbup: wo z.B. bei die anderen Image bauer nicht angeboten wird :whistling: ... hat zwar nicht jeder nen nutzen davon - aber ist ja nicht so das sie garnix tun.
      ..Wissen ist Macht, nichts wissen macht auch nichts :whistling: :thumbup:
      .. assdigger & sugar blower :crazy1:

      The post was edited 1 time, last by Jogistyle ().

    • Ich habe jetzt einen workaround für die pip installation gefunden:
      mv /bin/lsb_release /bin/lsb_release_back

      Danach läuft alles durch aber abspielen läßt sich gar nix, schwarzer Bildschirm.